Package org.eclipse.jface.text.templates

# Class TemplateException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.jface.text.templates.TemplateException

All Implemented Interfaces:
  `Serializable`

public class TemplateException extends Exception
Thrown when a template cannot be validated.

Clients may instantiate this class.

This class is not intended to be serialized.

Since:
  3.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TemplateException()`
Creates a new template exception.
`TemplateException(String message)`
Creates a new template exception.
`TemplateException(String message, Throwable cause)`
Creates a new template exception.
`TemplateException(Throwable cause)`
Creates a new template exception.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TemplateException

public TemplateException()
Creates a new template exception.

### TemplateException

public TemplateException(String message)
Creates a new template exception.

Parameters:
  `message` - the message describing the problem that arose

### TemplateException

public TemplateException(String message, Throwable cause)
Creates a new template exception.

Parameters:
  `message` - the message describing the problem that arose
  `cause` - the original exception

### TemplateException

public TemplateException(Throwable cause)
Creates a new template exception.

Parameters:
  `cause` - the original exception